# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"9615-4721-3936-4657",
   "name":"OpenWebStart 1.9.1",
   "version":"1.9.1",
   "install_date":"",
   "install_location":"C:\\Program Files\\OpenWebStart",
   "uninstall_string":"\"C:\\Program Files\\OpenWebStart\\uninstall.exe\"",
   "publisher":"Karakun AG",
   "system_component":0,
   "win64":true
  }
"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('OpenWebStart_windows-x32_*.exe')[0]
    app_uninstallkey = '9615-4721-3936-4657'

    # Installing the software
    install_exe_if_needed(bin_name,
        silentflags='-q',
        key=app_uninstallkey,
        min_version = control.get_software_version(),
    )

    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"] + " -q"
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)



